from parallels.core.client_subscription_converter import ClientSubscriptionConverterAdapter
from parallels.plesk.source.expand.converter.clients_subscriptions import \
	ExpandToPleskClientsAndSubscriptionsConverter


class ExpandToPleskClientSubscriptionConverterAdapter(ClientSubscriptionConverterAdapter):
	def convert(self, global_context, converted_resellers, report):
		"""
		:type global_context: parallels.plesk.source.expand.global_context.ExpandGlobalMigrationContext
		"""
		converter = ExpandToPleskClientsAndSubscriptionsConverter()
		return converter.convert(
			global_context, converted_resellers, global_context.expand_data, report
		)